## zonemaster-cli 8.0.0

=== share/Makefile ===
# This is a wrapper for BSD Make (FreeBSD) to execute
# GNU Make (gmake) and the primary makefile GNUmakefile.

GNUMAKE?= gmake
FILES != ls *

# File targets should be evaluated by gmake.
.PHONY: all $(FILES)

all:
	@${GNUMAKE} $@

.DEFAULT:
	@${GNUMAKE} $@

## zonemaster-cli 1.0.5

=== debian/changelog ===
zonemaster-cli (1.0.5-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Wed, 06 Jan 2021 22:10:36 +0100

zonemaster-cli (1.0.5-1) unstable; urgency=medium

  * debian/control: Added: Vcs-Git field (source stanza); Vcs-Browser
    field (source stanza).
  * Switch to Debian Perl Group as the maintainer
  * New upstream version 1.0.5

 -- Ondřej Surý <ondrej@debian.org>  Fri, 23 Jun 2017 09:49:03 +0200

zonemaster-cli (1.0.3-1) unstable; urgency=low

  * Initial Release.

 -- Ondřej Surý <ondrej@debian.org>  Tue, 6 Sep 2016 16:04:55 +0200

=== debian/control ===
Source: zonemaster-cli
Section: perl
Priority: optional
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Ondřej Surý <ondrej@debian.org>
Build-Depends: debhelper (>= 9)
Build-Depends-Indep: libgetopt-long-descriptive-perl,
                     libintl-perl,
                     libjson-xs-perl,
                     libmodule-install-perl,
                     libmoosex-getopt-perl,
                     libnet-ldns-perl (>= 0.65),
                     libtext-reflow-perl,
                     libzonemaster-perl (>= 1.0.4),
                     perl (>= 5.15.2)
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/pkg-perl/packages/zonemaster-cli.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-perl/packages/zonemaster-cli.git
Homepage: https://zonemaster.net/

Package: zonemaster-cli
Architecture: all
Depends: libgetopt-long-descriptive-perl,
         libintl-perl,
         libjson-xs-perl,
         libmoosex-getopt-perl,
         libnet-ldns-perl (>= 0.65),
         libtext-reflow-perl,
         libzonemaster-perl (>= 1.0.4),
         perl (>= 5.14.2),
         ${misc:Depends},
         ${perl:Depends}
Description: run Zonemaster tests from the command line
 Zonemaster is a utility for DNS validation of the quality of a DNS
 delegation.
 .
 This package contains the Zonemaster CLI utility.

=== debian/watch ===
version=3
https://metacpan.org/release/Zonemaster-CLI   .*/Zonemaster-CLI-v?(\d[\d.-]*)\.(?:tar(?:\.gz|\.bz2)?|tgz|zip)$

## zonemaster-cli 5.0.0

=== debian/changelog ===
zonemaster-cli (5.0.0-1) unstable; urgency=medium

  * Import upstream version 5.0.0.
  * d/copyright: update copyright year.
  * Set Rules-Requires-Root: no.
  * d/control: declare compliance to standards version 4.6.2.
  * d/control: add myself to uploaders.

 -- Étienne Mollier <emollier@debian.org>  Wed, 21 Dec 2022 20:31:38 +0100

zonemaster-cli (1.0.5-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends-Indep: Drop versioned constraint on libnet-ldns-perl,
      libzonemaster-perl and perl.
    + zonemaster-cli: Drop versioned constraint on libnet-ldns-perl,
      libzonemaster-perl and perl in Depends.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 16 Oct 2022 01:40:16 +0100

zonemaster-cli (1.0.5-2) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ Laurent Baillet ]
  * fix lintian wrong-path-for-interpreter error

  [ gregor herrmann ]
  * debian/copyright: replace tabs with spaces / remove trailing
    whitespace.
  * debian/watch: use uscan version 4.

  [ Debian Janitor ]
  * Use secure copyright file specification URI.
  * Bump debhelper from deprecated 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Submit, Repository, Repository-
    Browse.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).
  * Bump debhelper from old 12 to 13.
  * Set Testsuite header for perl package.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 28 Jun 2022 23:49:01 +0100

=== debian/control ===
Source: zonemaster-cli
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Ondřej Surý <ondrej@debian.org>,
           Étienne Mollier <emollier@debian.org>
Section: perl
Testsuite: autopkgtest-pkg-perl
Priority: optional
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep: libgetopt-long-descriptive-perl,
                     libintl-perl,
                     libjson-xs-perl,
                     libmodule-install-perl,
                     libmoosex-getopt-perl,
                     libnet-ldns-perl,
                     libtext-reflow-perl,
                     libzonemaster-perl,
                     perl
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/zonemaster-cli
Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/zonemaster-cli.git
Homepage: https://zonemaster.net/
Rules-Requires-Root: no

Package: zonemaster-cli
Architecture: all
Depends: ${misc:Depends},
         ${perl:Depends},
         libgetopt-long-descriptive-perl,
         libintl-perl,
         libjson-xs-perl,
         libmoosex-getopt-perl,
         libnet-ldns-perl,
         libtext-reflow-perl,
         libzonemaster-perl,
         perl
Description: run Zonemaster tests from the command line
 Zonemaster is a utility for DNS validation of the quality of a DNS
 delegation.
 .
 This package contains the Zonemaster CLI utility.

## zonemaster-cli 5.0.1

=== debian/changelog ===
zonemaster-cli (5.0.1-1) unstable; urgency=medium

  * Import upstream version 5.0.1.

 -- Étienne Mollier <emollier@debian.org>  Thu, 02 Feb 2023 22:56:47 +0100

zonemaster-cli (5.0.0-2) unstable; urgency=medium

  * d/control: depend on libzonemaster-perl >= 4.6.0.

 -- Étienne Mollier <emollier@debian.org>  Fri, 23 Dec 2022 20:30:30 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                      libmoosex-getopt-perl,
                      libnet-ldns-perl,
                      libtext-reflow-perl,
-                     libzonemaster-perl,
+                     libzonemaster-perl (>= 4.6.0),
                      perl
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/zonemaster-cli
@@ -31,7 +31,7 @@
          libmoosex-getopt-perl,
          libnet-ldns-perl,
          libtext-reflow-perl,
-         libzonemaster-perl,
+         libzonemaster-perl (>= 4.6.0),
          perl
 Description: run Zonemaster tests from the command line
  Zonemaster is a utility for DNS validation of the quality of a DNS

## zonemaster-cli 5.0.2

=== debian/changelog ===
zonemaster-cli (5.0.2-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 5.0.2.
  * Bump versioned (test) dependency on libzonemaster-perl.
  * Drop unversioned dependency on perl.
  * Annotate test-only build dependencies with <!nocheck>.
  * Update debian/upstream/metadata. Thanks to lintian-brush.
  * Move libmodule-install-perl from Build-Depends-Indep to Build-Depends.
  * Make .mo files writeable for dh_strip_nondeterminism.

 -- gregor herrmann <gregoa@debian.org>  Sun, 05 Mar 2023 01:04:46 +0100

=== debian/control ===
--- 
+++ 
@@ -5,15 +5,15 @@
 Section: perl
 Testsuite: autopkgtest-pkg-perl
 Priority: optional
-Build-Depends: debhelper-compat (= 13)
-Build-Depends-Indep: libgetopt-long-descriptive-perl,
-                     libintl-perl,
-                     libjson-xs-perl,
-                     libmodule-install-perl,
-                     libmoosex-getopt-perl,
-                     libnet-ldns-perl,
-                     libtext-reflow-perl,
-                     libzonemaster-perl (>= 4.6.0),
+Build-Depends: debhelper-compat (= 13),
+               libmodule-install-perl
+Build-Depends-Indep: libgetopt-long-descriptive-perl <!nocheck>,
+                     libintl-perl <!nocheck>,
+                     libjson-xs-perl <!nocheck>,
+                     libmoosex-getopt-perl <!nocheck>,
+                     libnet-ldns-perl <!nocheck>,
+                     libtext-reflow-perl <!nocheck>,
+                     libzonemaster-perl (>= 4.6.2) <!nocheck>,
                      perl
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/zonemaster-cli
@@ -31,8 +31,7 @@
          libmoosex-getopt-perl,
          libnet-ldns-perl,
          libtext-reflow-perl,
-         libzonemaster-perl (>= 4.6.0),
-         perl
+         libzonemaster-perl (>= 4.6.2)
 Description: run Zonemaster tests from the command line
  Zonemaster is a utility for DNS validation of the quality of a DNS
  delegation.

## zonemaster-cli 6.0.0

=== debian/changelog ===
zonemaster-cli (6.0.0-1) unstable; urgency=medium

  * Import upstream version 6.0.0.

 -- Étienne Mollier <emollier@debian.org>  Fri, 21 Jul 2023 20:59:41 +0200

## zonemaster-cli 6.0.3

=== debian/changelog ===
zonemaster-cli (6.0.3-1) unstable; urgency=medium

  * Import upstream version 6.0.3.
  * typos.patch: delete: applied upstream.

 -- Étienne Mollier <emollier@debian.org>  Tue, 03 Oct 2023 20:49:57 +0200

zonemaster-cli (6.0.2-1) unstable; urgency=medium

  * Import upstream version 6.0.2.
  * typos.patch: new: fix a typo caught by lintian.

 -- Étienne Mollier <emollier@debian.org>  Mon, 21 Aug 2023 21:21:48 +0200

## zonemaster-cli 6.1.0

=== debian/changelog ===
zonemaster-cli (6.1.0-1) unstable; urgency=medium

  * Import upstream version 6.1.0.
  * d/control: declare compliance to standards version 4.7.0.

 -- Étienne Mollier <emollier@debian.org>  Sun, 21 Apr 2024 23:36:58 +0200

## zonemaster-cli 7.0.0

=== debian/changelog ===
zonemaster-cli (7.0.0-1) unstable; urgency=medium

  * Import upstream version 7.0.0.

 -- Étienne Mollier <emollier@debian.org>  Fri, 09 Aug 2024 09:52:13 +0200

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                      libtext-reflow-perl <!nocheck>,
                      libzonemaster-perl (>= 4.6.2) <!nocheck>,
                      perl
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/zonemaster-cli
 Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/zonemaster-cli.git
 Homepage: https://zonemaster.net/

## zonemaster-cli 7.1.0

=== debian/changelog ===
zonemaster-cli (7.1.0-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 7.1.0.
  * Update test and runtime dependencies.
  * Add autopkgtest.patch: adjust new test when run during autopkgtests.

 -- gregor herrmann <gregoa@debian.org>  Sun, 02 Feb 2025 15:39:52 +0100

=== debian/control ===
--- 
+++ 
@@ -9,11 +9,13 @@
                libmodule-install-perl
 Build-Depends-Indep: libgetopt-long-descriptive-perl <!nocheck>,
                      libintl-perl <!nocheck>,
+                     libjson-validator-perl <!nocheck>,
                      libjson-xs-perl <!nocheck>,
-                     libmoosex-getopt-perl <!nocheck>,
                      libnet-ldns-perl <!nocheck>,
+                     libtest-differences-perl <!nocheck>,
                      libtext-reflow-perl <!nocheck>,
-                     libzonemaster-perl (>= 4.6.2) <!nocheck>,
+                     libzonemaster-perl (>= 7.0.0) <!nocheck>,
+                     libzonemaster-ldns-perl (>= 4.1.0) <!nocheck>,
                      perl
 Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/zonemaster-cli
@@ -28,10 +30,10 @@
          libgetopt-long-descriptive-perl,
          libintl-perl,
          libjson-xs-perl,
-         libmoosex-getopt-perl,
          libnet-ldns-perl,
          libtext-reflow-perl,
-         libzonemaster-perl (>= 4.6.2)
+         libzonemaster-perl (>= 7.0.0),
+         libzonemaster-ldns-perl (>= 4.1.0)
 Description: run Zonemaster tests from the command line
  Zonemaster is a utility for DNS validation of the quality of a DNS
  delegation.

=== debian/watch ===
version=4
https://metacpan.org/release/Zonemaster-CLI   .*/Zonemaster-CLI-v?@ANY_VERSION@@ARCHIVE_EXT@$

## zonemaster-cli 7.2.0

=== debian/control ===
--- 
+++ 
@@ -14,10 +14,10 @@
                      libnet-ldns-perl <!nocheck>,
                      libtest-differences-perl <!nocheck>,
                      libtext-reflow-perl <!nocheck>,
+                     libzonemaster-ldns-perl (>= 4.1.0) <!nocheck>,
                      libzonemaster-perl (>= 7.0.0) <!nocheck>,
-                     libzonemaster-ldns-perl (>= 4.1.0) <!nocheck>,
                      perl
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/zonemaster-cli
 Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/zonemaster-cli.git
 Homepage: https://zonemaster.net/
@@ -32,8 +32,8 @@
          libjson-xs-perl,
          libnet-ldns-perl,
          libtext-reflow-perl,
-         libzonemaster-perl (>= 7.0.0),
-         libzonemaster-ldns-perl (>= 4.1.0)
+         libzonemaster-ldns-perl (>= 4.1.0),
+         libzonemaster-perl (>= 7.0.0)
 Description: run Zonemaster tests from the command line
  Zonemaster is a utility for DNS validation of the quality of a DNS
  delegation.

## zonemaster-cli 8.0.0

=== debian/changelog ===
zonemaster-cli (8.0.0-1) unstable; urgency=medium

  * Import upstream version 8.0.0.
  * d/control: complement test dependencies list.
  * Remove «Rules-Requires-Root: no», which is the current default.
  * d/watch: convert to watch file version 5.

 -- Étienne Mollier <emollier@debian.org>  Tue, 21 Oct 2025 22:01:17 +0200

zonemaster-cli (7.2.0-1) unstable; urgency=medium

  * Import upstream version 7.2.0.
  * Declare compliance with Debian Policy 4.7.2.

 -- Étienne Mollier <emollier@debian.org>  Fri, 21 Mar 2025 18:07:44 +0100

=== debian/control ===
Source: zonemaster-cli
Standards-Version: 4.7.2
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders:
 Ondřej Surý <ondrej@debian.org>,
 Étienne Mollier <emollier@debian.org>,
Section: perl
Testsuite: autopkgtest-pkg-perl
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 libmodule-install-perl,
Build-Depends-Indep:
 libgetopt-long-descriptive-perl <!nocheck>,
 libintl-perl <!nocheck>,
 libjson-validator-perl <!nocheck>,
 libjson-xs-perl <!nocheck>,
 libnet-ldns-perl <!nocheck>,
 libtest-differences-perl <!nocheck>,
 libtest-exception-perl <!nocheck>,
 libtest-nowarnings-perl <!nocheck>,
 libtext-reflow-perl <!nocheck>,
 libzonemaster-ldns-perl (>= 4.1.0) <!nocheck>,
 libzonemaster-perl (>= 7.0.0) <!nocheck>,
 perl,
Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/zonemaster-cli
Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/zonemaster-cli.git
Homepage: https://zonemaster.net/

Package: zonemaster-cli
Architecture: all
Depends:
 ${misc:Depends},
 ${perl:Depends},
 libgetopt-long-descriptive-perl,
 libintl-perl,
 libjson-xs-perl,
 libnet-ldns-perl,
 libtext-reflow-perl,
 libzonemaster-ldns-perl (>= 4.1.0),
 libzonemaster-perl (>= 7.0.0),
Description: run Zonemaster tests from the command line
 Zonemaster is a utility for DNS validation of the quality of a DNS
 delegation.
 .
 This package contains the Zonemaster CLI utility.

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE = $(shell dh_listpackages)
TMP     = $(CURDIR)/debian/$(PACKAGE)

%:
	dh $@

override_dh_install:
	dh_install
	sed -i '1s|^#!/usr/bin/env perl|#!/usr/bin/perl|' $(TMP)/usr/bin/$(PACKAGE)

override_dh_strip_nondeterminism:
	# dh_strip_nondeterminism: warning: Ignoring unwritable file: Zonemaster-CLI.mo
	chmod +w $(TMP)/usr/share/perl5/auto/share/dist/Zonemaster-CLI/locale/*/LC_MESSAGES/Zonemaster-CLI.mo
	dh_strip_nondeterminism

=== debian/watch ===
Version: 5

Source: https://metacpan.org/release/Zonemaster-CLI
Matching-Pattern: .*/Zonemaster-CLI-v?@ANY_VERSION@@ARCHIVE_EXT@$

## zonemaster-cli 8.0.1

=== debian/changelog ===
zonemaster-cli (8.0.1-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 8.0.1.
  * Bump versioned dependencies on libzonemaster-ldns-perl and
    libzonemaster-perl.

 -- gregor herrmann <gregoa@debian.org>  Tue, 23 Dec 2025 02:26:57 +0100

=== debian/control ===
--- 
+++ 
@@ -20,8 +20,8 @@
  libtest-exception-perl <!nocheck>,
  libtest-nowarnings-perl <!nocheck>,
  libtext-reflow-perl <!nocheck>,
- libzonemaster-ldns-perl (>= 4.1.0) <!nocheck>,
- libzonemaster-perl (>= 7.0.0) <!nocheck>,
+ libzonemaster-ldns-perl (>= 5.0.1) <!nocheck>,
+ libzonemaster-perl (>= 8.1.0) <!nocheck>,
  perl,
 Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/zonemaster-cli
 Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/zonemaster-cli.git
@@ -37,8 +37,8 @@
  libjson-xs-perl,
  libnet-ldns-perl,
  libtext-reflow-perl,
- libzonemaster-ldns-perl (>= 4.1.0),
- libzonemaster-perl (>= 7.0.0),
+ libzonemaster-ldns-perl (>= 5.0.1),
+ libzonemaster-perl (>= 8.1.0),
 Description: run Zonemaster tests from the command line
  Zonemaster is a utility for DNS validation of the quality of a DNS
  delegation.
